import { setupDirective } from "./directive/index";
import HcMenuIcon from "./menu-icon/menu-icon.vue";
import HcIconInput from "./icon-input/icon-input.vue";
import HcRelatedProject from "./related-project/related-project.vue";
import HcTableForm from "./table-form/table-form.vue";
import HcInfoTable from "./info-table/info-table.vue";
import HcInfoTableTd from "./info-table/info-table-td.vue";

//注册全局组件
export const setupComponents = (App) => {
    //自定义指令
    setupDirective(App);

    //自定义组件
    App.component("HcMenuIcon", HcMenuIcon);
    App.component("HcIconInput", HcIconInput);
    App.component("HcRelatedProject", HcRelatedProject);
    App.component("HcTableForm", HcTableForm);
    App.component("HcInfoTable", HcInfoTable);
    App.component("HcInfoTableTd", HcInfoTableTd);
};
